
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;
/**
 * 弹窗广告关联
 * @author TRACK
 */
public class PopupRelate extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 关联id
     */
    private Long relateId;

    /**
     * 弹窗广告id
     */
    private Long popupId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 会员等级id
     */
    private Long userLevelId;

    public PopupRelate() {
    }

    public PopupRelate(Long popupId, Long spuId, Long userLevelId) {
        this.popupId = popupId;
        this.spuId = spuId;
        this.userLevelId = userLevelId;
    }

    public Long getRelateId() {
        return relateId;
    }

    public void setRelateId(Long relateId) {
        this.relateId = relateId;
    }

    public Long getPopupId() {
        return popupId;
    }

    public void setPopupId(Long popupId) {
        this.popupId = popupId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getUserLevelId() {
        return userLevelId;
    }

    public void setUserLevelId(Long userLevelId) {
        this.userLevelId = userLevelId;
    }

    @Override
    public String toString() {
        return "PopupRelate{" +
                "relateId=" + relateId +
                ",popupId=" + popupId +
                ",spuId=" + spuId +
                ",userLevelId=" + userLevelId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                '}';
    }
}
